MU MKDIR(1)

NAME

mu-mkdir - create a new Maildir

SYNOPSIS

mu [COMMON-OPTIONS] mkdir [OPTIONS] DIR...

DESCRIPTION

mu mkdir is the command for creating Maildirs as per maildir(5). A maildir is a a directory with subdirectories new, cur and tmp.

The command does not use the mu database.

If creation fails for any reason, no attempt is made to remove any parts that were created. This is for safety reasons.

MKDIR OPTIONS

  --mode mode

Set the file access mode for the new maildir(s) as in chmod(1). The default is 0755.

COMMON OPTIONS

  -d, --debug

Makes mu generate extra debug information, useful for debugging the program itself. Debug information goes to the standard logging location; see mu(1).

  -q, --quiet

Causes mu not to output informational messages and progress information to standard output, but only to the log file. Error messages will still be sent to standard error. Note that mu index is much faster with --quiet, so it is recommended you use this option when using mu from scripts etc.

  --log-stderr

Causes mu to not output log messages to standard error, in addition to sending them to the standard logging location.

  --nocolor

Do not use ANSI colors. The environment variable NO_COLOR can be used as an alternative to --nocolor.

  -V, --version

Prints mu version and copyright information.

  -h, --help

Lists the various command line options.

EXAMPLE
    $ mu mkdir tom dick harry

creates three maildirs, tom, dick and harry.

REPORTING BUGS

Please report bugs at https://github.com/djcb/mu/issues.

AUTHOR

Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

COPYRIGHT

This manpage is part of mu 1.12.7.

Copyright © 2008-2024 Dirk-Jan C. Binnema. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

maildir(5), chmod(1)